#include<bits/stdc++.h>
using namespace std;
int main()
{   
    freopen("match.in","r",stdin);
	freopen("match.out","w",stdout);
	int t,n,q;
	cin>>t>>n;
	int a,b;
	
	for(int i=1;i<=n;i++)
	{
		cin>>a;	
	}
	for(int i=1;i<=n;i++)
	{
		cin>>a;	
	}
	cin>>q;
	for(int i=1;i<=q;i++)
	{
		cin>>a>>b;	
	}
	
	cout<<7;
}